---
title: Get risk event/score information for a specific user
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Zero Trust](https://developers.cloudflare.com/api/go/resources/zero_trust)

[Risk Scoring](https://developers.cloudflare.com/api/go/resources/zero_trust/subresources/risk_scoring)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get risk event/score information for a specific user

client.ZeroTrust.RiskScoring.Get(ctx, userID, query) (\*[RiskScoringGetResponse](<https://developers.cloudflare.com/api/go/resources/zero_trust#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/zt\_risk\_scoring/{user\_id}

Retrieves the detailed risk score breakdown for a specific user, including contributing factors.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zero Trust: PII Read`

##### ParametersExpand Collapse

userID string

formatuuid

[Link to this property](<#(resource)%20zero_trust.risk_scoring%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20user_id%20%3E%20(schema)>)

<details>

<summary>

query RiskScoringGetParams

</summary>

AccountID param.Field\[string]

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.risk_scoring%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RiskScoringGetResponse struct{…}

</summary>

Email string

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20email">Link to this property</a>

<details>

<summary>

Events \[]RiskScoringGetResponseEvent

</summary>

ID string

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20events%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Name string

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20events%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

RiskLevel RiskScoringGetResponseEventsRiskLevel

</summary>

One of the following:

const RiskScoringGetResponseEventsRiskLevelLow RiskScoringGetResponseEventsRiskLevel = "low"

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20events%20%3E%20(items)%20%3E%20(property)%20risk_level%20%3E%20(member)%200">Link to this property</a>

const RiskScoringGetResponseEventsRiskLevelMedium RiskScoringGetResponseEventsRiskLevel = "medium"

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20events%20%3E%20(items)%20%3E%20(property)%20risk_level%20%3E%20(member)%201">Link to this property</a>

const RiskScoringGetResponseEventsRiskLevelHigh RiskScoringGetResponseEventsRiskLevel = "high"

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20events%20%3E%20(items)%20%3E%20(property)%20risk_level%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20events%20%3E%20(items)%20%3E%20(property)%20risk_level">Link to this property</a>

Timestamp Time

formatdate-time

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20events%20%3E%20(items)%20%3E%20(property)%20timestamp">Link to this property</a>

EventDetails unknownOptional

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20events%20%3E%20(items)%20%3E%20(property)%20event_details">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20events">Link to this property</a>

Name string

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

LastResetTime TimeOptional

formatdate-time

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20last_reset_time">Link to this property</a>

<details>

<summary>

RiskLevel RiskScoringGetResponseRiskLevelOptional

</summary>

One of the following:

const RiskScoringGetResponseRiskLevelLow RiskScoringGetResponseRiskLevel = "low"

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20risk_level%20%3E%20(member)%200">Link to this property</a>

const RiskScoringGetResponseRiskLevelMedium RiskScoringGetResponseRiskLevel = "medium"

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20risk_level%20%3E%20(member)%201">Link to this property</a>

const RiskScoringGetResponseRiskLevelHigh RiskScoringGetResponseRiskLevel = "high"

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20risk_level%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)%20%3E%20(property)%20risk_level">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.risk_scoring%20%3E%20(model)%20RiskScoringGetResponse%20%3E%20(schema)>)

### Get risk event/score information for a specific user

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  riskScoring, err := client.ZeroTrust.RiskScoring.Get(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    zero_trust.RiskScoringGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", riskScoring.Email)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "email": "email",
    "events": [
      {
        "id": "id",
        "name": "name",
        "risk_level": "low",
        "timestamp": "2019-12-27T18:11:19.117Z",
        "event_details": {}
      }
    ],
    "name": "name",
    "last_reset_time": "2019-12-27T18:11:19.117Z",
    "risk_level": "low"
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "email": "email",
    "events": [
      {
        "id": "id",
        "name": "name",
        "risk_level": "low",
        "timestamp": "2019-12-27T18:11:19.117Z",
        "event_details": {}
      }
    ],
    "name": "name",
    "last_reset_time": "2019-12-27T18:11:19.117Z",
    "risk_level": "low"
  },
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```